- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigip_profile_udp – Manage UDP profiles on a BIG-IP

New in version 2.6.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manage UDP profiles on a BIG-IP. Many of UDP profiles exist; each with their own adjustments to the standard `udp` profile. Users of this module should be aware that many of the adjustable knobs have no module default. Instead, the default is assigned by the BIG-IP system itself which, in most cases, is acceptable.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
datagram_load_balancing boolean | Choices: no yes | Specifies, when `yes`, that the system load balances UDP traffic packet-by-packet.
idle_timeout string |  | Specifies the length of time that a connection is idle (has no traffic) before the connection is eligible for deletion. When creating a new profile, if this parameter is not specified, the remote device will choose a default value appropriate for the profile, based on its `parent` profile. When a number is specified, indicates the number of seconds that the UDP connection can remain idle before the system deletes it. When `0`, or `indefinite`, specifies that UDP connections can remain idle indefinitely. When `immediate`, specifies that you do not want the UDP connection to remain idle, and that it is therefore immediately eligible for deletion.
name string / required |  | Specifies the name of the profile.
parent string |  | Specifies the profile from which this profile inherits settings. When creating a new profile, if this parameter is not specified, the default is the system-supplied `udp` profile.
partition string | Default: "Common" | Device partition to manage resources on.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string | Choices: cli rest ← | Configures the transport connection to use when connecting to the remote device.
| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates. You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.
state string | Choices: present ← absent | When `present`, ensures that the profile exists. When `absent`, ensures the profile is removed.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.
- Requires BIG-IP software version >= 12.
- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Create a TCP profile
      bigip_profile_tcp:
        name: foo
        parent: udp
        idle_timeout: 300
        datagram_load_balancing: no
        state: present
        provider:
          user: admin
          password: secret
          server: lb.mydomain.com
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
datagram_load_balancing boolean | changed | The new datagram load balancing setting of the resource. Sample: True
idle_timeout integer | changed | The new idle timeout of the resource. Sample: 100
parent string | changed | The new parent of the resource. Sample: udp

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.